import {MDCTopAppBar} from "@material/top-app-bar";
import {MDCList} from "@material/list";
import {MDCDrawer} from "@material/drawer";

const drawer = MDCDrawer.attachTo(document.querySelector('.mdc-drawer') || new HTMLElement());
const list = MDCList.attachTo(document.querySelector('.mdc-list') || new HTMLElement());
const topAppBar = MDCTopAppBar.attachTo(document.getElementById('app-bar') || new HTMLElement());

list.wrapFocus = true;
topAppBar.setScrollTarget(document.getElementById('main-content') || new HTMLElement());
topAppBar.listen('MDCTopAppBar:nav', () => {
    drawer.open = !drawer.open;
});